Edit

Share via


Catalog - Search

The Catalog Search API enables programmatic discovery of OneLake catalog entries across workspaces. It supports cross-workspace search over catalog metadata and returns results filtered to entries the calling principal is authorized to access. Search results include stable identifiers that are intended to be used with complementary Fabric APIs to retrieve additional details or perform supported actions.

Note

Catalog search is currently in Preview (learn more).

A CatalogEntry is a discoverable metadata representation of a Microsoft Fabric entity, currently scoped to workspace items. Catalog entries are intended for metadata discovery only and do not grant access to underlying data or item content.

Required Delegated Scopes

Catalog.Read.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Limitations

  • The search functionality is currently scoped to specific Fabric item types. The following item types are not supported: Dashboard, Dataflow (Gen1), Dataflow (Gen2).

Interface

POST https://api.fabric.microsoft.com/v1/catalog/search

Request Body

Name Type Description
continuationToken

string

The continuationToken for the next page.

filter

string

The filter for the search. Currently the filter supports filter by type of entries. Additional filter options may be added over time.

The filter parameter supports the following operators to refine results:

  • eq : Equals; matches the exact value.

  • ne : Not Equals; excludes the specified value.

  • or : Logical OR; matches if any of the conditions are true.

  • ( ) : Parentheses; groups expressions to define logical hierarchy.

pageSize

integer

The page size that needs to be returned. Page size must be between 1 and 1000.

search

string

The text query for the search. This field supports searching across the display name and description of the CatalogEntry.

Responses

Name Type Description
200 OK

CatalogQueryResponse

OK

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • Unauthorized - Missing or invalid authentication

  • Internal Server Error - Unexpected service failure.

Examples

Search example

Sample request

POST https://api.fabric.microsoft.com/v1/catalog/search

{
  "search": "Sales Revenue",
  "pageSize": 2,
  "filter": "Type eq 'Report' or Type eq 'Lakehouse'"
}

Sample response

{
  "value": [
    {
      "id": "0acd697c-1550-43cd-b998-91bfb12347c6",
      "type": "Report",
      "catalogEntryType": "FabricItem",
      "displayName": "Monthly Sales Revenue",
      "description": "Consolidated revenue report for the current fiscal year."
    },
    {
      "id": "123d697c-7848-77cd-b887-91bfb12347cc",
      "type": "Lakehouse",
      "catalogEntryType": "FabricItem",
      "displayName": "Yeartly Sales Revenue",
      "description": "Consolidated revenue report for the current fiscal year."
    }
  ],
  "continuationToken": "lyJ1257lksfdfG=="
}

Definitions

Name Description
CatalogEntryType

The catalog entry type. Additional CatalogEntryType types may be added over time.

CatalogQueryRequest

The query for the search.

CatalogQueryResponse

The results of the search.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

ItemCatalogEntry

A Fabric item type of catalog entry.

ItemType

The type of the item. Additional item types may be added over time.

CatalogEntryType

The catalog entry type. Additional CatalogEntryType types may be added over time.

Value Description
FabricItem

A Fabric item catalog entry type.

CatalogQueryRequest

The query for the search.

Name Type Description
continuationToken

string

The continuationToken for the next page.

filter

string

The filter for the search. Currently the filter supports filter by type of entries. Additional filter options may be added over time.

The filter parameter supports the following operators to refine results:

  • eq : Equals; matches the exact value.

  • ne : Not Equals; excludes the specified value.

  • or : Logical OR; matches if any of the conditions are true.

  • ( ) : Parentheses; groups expressions to define logical hierarchy.

pageSize

integer

The page size that needs to be returned. Page size must be between 1 and 1000.

search

string

The text query for the search. This field supports searching across the display name and description of the CatalogEntry.

CatalogQueryResponse

The results of the search.

Name Type Description
continuationToken

string

The continuationToken for the next page.

value CatalogEntry[]:

ItemCatalogEntry[]

A list of catalog entries

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

ItemCatalogEntry

A Fabric item type of catalog entry.

Name Type Description
catalogEntryType string:

FabricItem

The catalog entry type.

description

string

The description of the catalog entry.

displayName

string

The catalog entry display name.

id

string (uuid)

The objectId of the catalog entry.

type

ItemType

The Fabric item type.

ItemType

The type of the item. Additional item types may be added over time.

Value Description
Dashboard

PowerBI dashboard.

Report

PowerBI report.

SemanticModel

PowerBI semantic model.

PaginatedReport

PowerBI paginated report.

Datamart

PowerBI datamart.

Lakehouse

A lakehouse.

Eventhouse

An eventhouse.

Environment

An environment.

KQLDatabase

A KQL database.

KQLQueryset

A KQL queryset.

KQLDashboard

A KQL dashboard.

DataPipeline

A data pipeline.

Notebook

A notebook.

SparkJobDefinition

A spark job definition.

MLExperiment

A machine learning experiment.

MLModel

A machine learning model.

Warehouse

A warehouse.

Eventstream

An eventstream.

SQLEndpoint

An SQL endpoint.

MirroredWarehouse

A mirrored warehouse.

MirroredDatabase

A mirrored database.

Reflex

A Reflex.

GraphQLApi

An API for GraphQL item.

MountedDataFactory

A MountedDataFactory.

SQLDatabase

A SQLDatabase.

CopyJob

A Copy job.

VariableLibrary

A VariableLibrary.

Dataflow

A Dataflow.

ApacheAirflowJob

An ApacheAirflowJob.

WarehouseSnapshot

A Warehouse snapshot.

DigitalTwinBuilder

A DigitalTwinBuilder.

DigitalTwinBuilderFlow

A Digital Twin Builder Flow.

MirroredAzureDatabricksCatalog

A mirrored azure databricks catalog.

Map

A Map.

AnomalyDetector

An Anomaly Detector.

UserDataFunction

A User Data Function.

GraphModel

A GraphModel.

GraphQuerySet

A Graph QuerySet.

SnowflakeDatabase

A Snowflake Database to store Iceberg tables created from Snowflake account.

OperationsAgent

A OperationsAgent.

CosmosDBDatabase

A Cosmos DB Database.

Ontology

An Ontology.

EventSchemaSet

An EventSchemaSet.

DataAgent

A DataAgent.